<template>
  <div class="plate-box">
    <h2 class="title">
      <span class="line"></span>
      <p>{{ title }}</p>
      <span class="line"></span>
    </h2>
    <div class="plate " style="border:none;padding-bottom:0">
      <ul>
        <li>
          <label>透后宣教 : </label>
          <span class="content">{{ mission }}</span>
        </li>
        <li>
          <label>透析小结 : </label>
          <span class="content">{{ dialysis_summary }}</span>
        </li>
      </ul>
    </div>
      <div class="plate ">
      <ul>
        <li>
          <label>透析护理记录 : </label>
          <span class="content">{{ nursing_record }}</span>
        </li>
        <li>
          <label>特殊记录 : </label>
          <span class="content">{{ special_record }}</span>
        </li>
      </ul>
    </div>
    <!-- <div class="note">处方医生 : {{doctor}}</div> -->
  </div>
</template>

<script>
export default {
  name: "DialysisPrescription",
  data() {
    return {
      title: "治疗小结  ",
      doctor: "刘小花  护士"
      // info1: [
      //   { value: "1", label: "透后宣教 : ", content: "", unit: "" },
      //   { value: "1", label: "透析小结 : ", content: "", unit: "" }
      // ]
    };
  },
  props: {
    record: {
      type: Object
    }
  },
  computed: {
    mission: function() {
      if (this.record == null || this.record.id == "") {
        return "";
      }
      return this.record.mission;
    },
    dialysis_summary: function() {
      if (this.record == null || this.record.id == "") {
        return "";
      }
      return this.record.dialysis_summary;
    },
    nursing_record: function() {
      if (this.record == null || this.record.id == "") {
        return "";
      }
      return this.record.nursing_record;
    },
    special_record: function() {
      if (this.record == null || this.record.id == "") {
        return "";
      }
      return this.record.special_record;
    }
  },
  methods: {
    // setRecord(record) {
    //   this.info1[0].content = record.mission
    //   this.info1[1].content = record.dialysis_summary
    // }
  }
};
</script>

<style rel="stylesheet/scss" lang="scss" scoped>
</style>
